
package de.ivu.elect.presentation.ergebnis.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.ergebnis.exchange.ErgebnisExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

public class ErgebnisExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ErgebnisMenuDisabled ergebnisMenuDisabled;

  @Inject
  private transient ErgebnisExportDescription ergebnisExportDescription;

  public ErgebnisExportMenuItemEntry() {
    super();
  }

  @Override
  public boolean isDisabledInternal() {
    return super.isDisabledInternal() || isErgebnisMenuDisabled() /* elect nicht sinnvoll|| ergebnisSessionSelect.getEntity().isStatusUnbekannt() */;
  }

  protected boolean isErgebnisMenuDisabled() {
    return ergebnisMenuDisabled.isDisabled(this);
  }

  @Override
  protected ExportDescription getExportDescription() {
    return ergebnisExportDescription;
  }

  @Override
  public String getLabelKey() {
    return "ergebnis.export.menu.item.label";
  }
}
